diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 17300f2..2e51095 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -28271,7 +28271,7 @@ FractionFreeFastGaussianFractions(D, V, VF): Exports == Implementation where
       for i in 1..n repeat
         c := coefficients(f.i)
         den.i := commonDenominator(c)$CommonDenominator(D, F, List F)
-        g.i := map(retract(#1*den.i)@D, f.i) 
+        g.i := map(x +-> retract(x*den.i)@D, f.i) 
                   $FAMR2(NonNegativeInteger, Fraction D, VF, D, V)
 
       M := generalInterpolation(C, coeffAction, g, eta)$FFFG(D, V)
@@ -28295,11 +28295,11 @@ FractionFreeFastGaussianFractions(D, V, VF): Exports == Implementation where
       for i in 1..n repeat
         c := coefficients(f.i)
         den.i := commonDenominator(c)$CommonDenominator(D, F, List F)
-        g.i := map(retract(#1*den.i)@D, f.i)
+        g.i := map(x +-> retract(x*den.i)@D, f.i)
                   $FAMR2(NonNegativeInteger, Fraction D, VF, D, V)
 
-      c: cFunction := generalCoefficient(coeffAction, g,
-                                         (#1-1)::NonNegativeInteger, #2)$FFFG(D, V)
+      c: cFunction := (x,y) +-> generalCoefficient(coeffAction, g,
+                                 (x-1)::NonNegativeInteger, y)$FFFG(D, V)
 
 
       MS: Stream Matrix SUP D 
@@ -28309,7 +28309,7 @@ FractionFreeFastGaussianFractions(D, V, VF): Exports == Implementation where
 -- each column. Possibly I could factor out gcd den, but I'm not sure whether
 -- this is efficient.
 
-      map(multiplyRows!(den, #1), MS)$Stream(Matrix SUP D)
+      map(x +-> multiplyRows!(den, x), MS)$Stream(Matrix SUP D)
 
 @
 <<FFFGF.dotabb>>=
diff --git a/changelog b/changelog
index 00ce3d1..b082cdf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090519 tpd src/axiom-website/patches.html 20090519.05.tpd.patch
+20090519 tpd books/bookvol10.4 FFFGF +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.04.tpd.patch
 20090519 tpd books/bookvol10.3 UTS +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9da9a94..18d56f7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1372,5 +1372,7 @@ bookvol10.3 UPXSSING +-> conversion<br/>
 bookvol10.4 FFFG +-> conversion<br/>
 <a href="patches/20090519.04.tpd.patch">20090519.04.tpd.patch</a>
 bookvol10.3 UTS +-> conversion<br/>
+<a href="patches/20090519.05.tpd.patch">20090519.05.tpd.patch</a>
+bookvol10.4 FFFGF +-> conversion<br/>
  </body>
 </html>
